发布时间 :2003-05-12 00:00:00
修订时间 :2016-10-17 22:27:09

[原文]stunnel 4.0.3 and earlier allows attackers to cause a denial of service (crash) via SIGCHLD signal handler race conditions that cause an inconsistency in the child counter.



- CVSS (基础分值)

CVSS分值: 1.2 [轻微(LOW)]
机密性影响: NONE [对系统的机密性无影响]
完整性影响: NONE [不会对系统完整性产生影响]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)


- OVAL (用于检测的技术细节)


- 官方数据库链接
(官方数据源) MITRE
(官方数据源) NVD
(官方数据源) CNNVD

- 其它链接及资源
(UNKNOWN)  BUGTRAQ  20030112 SIGCHLD problem in Stunnel
(UNKNOWN)  TRUSTIX  2003-0030
(UNKNOWN)  ENGARDE  ESA-20030806-020
(UNKNOWN)  BID  6592

- 漏洞信息

低危 竞争条件
2003-05-12 00:00:00 2005-10-20 00:00:00

- 公告与补丁

        Stunnel Upgrade stunnel-4.04.tar.gz

- 漏洞信息

Stunnel SIGCHILD Race Condition DoS
Denial of Service, Race Condition
Loss of Availability Upgrade
Vendor Verified

- 漏洞描述

- 时间线

2003-01-12 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 4.04 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Stunnel Unspecified SIGCHLD Signal Handler Vulnerability
Race Condition Error 6592
Yes No
2003-01-13 12:00:00 2009-07-11 07:17:00
This vulnerability was reported in the product changelog.

- 受影响的程序版本

Stunnel Stunnel 4.0 3
Stunnel Stunnel 4.0 2
Stunnel Stunnel 4.0 1
Stunnel Stunnel 4.0 0
Stunnel Stunnel 3.25
+ Trustix Secure Linux 1.5
+ Trustix Secure Linux 1.2
Stunnel Stunnel 3.22
- Conectiva Linux 9.0
- Conectiva Linux 8.0
+ EnGarde Secure Community 2.0
+ EnGarde Secure Community 1.0.1
+ EnGarde Secure Professional 1.5
+ EnGarde Secure Professional 1.2
+ EnGarde Secure Professional 1.1
+ Sun Linux 5.0.7
Stunnel Stunnel 3.21
Stunnel Stunnel 3.19
+ RedHat Linux 7.2 ia64
+ RedHat Linux 7.2 i386
Stunnel Stunnel 3.18
Stunnel Stunnel 3.17
Stunnel Stunnel 3.16
Stunnel Stunnel 3.15
Stunnel Stunnel 3.14
- Conectiva Linux 7.0
Caldera OpenLinux Workstation 3.1.1
Caldera OpenLinux Server 3.1.1
Stunnel Stunnel 4.0 4

- 不受影响的程序版本

Stunnel Stunnel 4.0 4

- 漏洞讨论

A vulnerability has been reported for Stunnel. The vulnerability exists in the SIGCHLD signal handling routine. Reportedly, some functions in the signal handler are used in an unsafe manner. This could expose Stunnel to denial of service attacks when the software is configured to listen for incoming connections.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: <>.

- 解决方案

Sun have made fixes available to address this issue in Sun Linux 5.0.7. Fixes are linked below.

EnGarde has released advisory ESA-20030806-020 to address this issue. Digital Secure Network subscribers may update using the WebTool. See referenced advisory for additional information.

Red Hat has released advisories RHSA-2003:221-01 and RHSA-2003:296-01 to address this issue. See referenced advisories for additional information.

Conectiva has released an advisory (CLA-2003:736) to address this issue. Please see the attached advisory for details on obtaining and applying fixes.

SCO has released an advisory (CSSA-2003-026.0) for OpenLinux that addresses this issue. Please see the attached advisory for details on obtaining and applying fixes.

Trustix has released two security advisories to address this issue, both including fixes for TSL 1.2 and 1.5. Users should likely update their systems using the fixes included in the most recent advisory.

Fixes available:

Caldera OpenLinux Server 3.1.1

Caldera OpenLinux Workstation 3.1.1

Stunnel Stunnel 3.18

Stunnel Stunnel 3.19

Stunnel Stunnel 3.21

Stunnel Stunnel 3.22

Stunnel Stunnel 3.25

Stunnel Stunnel 4.0 1

Stunnel Stunnel 4.0 2

Stunnel Stunnel 4.0 3

Stunnel Stunnel 4.0 0

- 相关参考